package com.tcl.factory.utils;



import android.util.Log;

public class Debug {

	private static String TAG = "Factory-";

	// v 1, d 2, i 3, w 4, e 5
	// v : function tracer
	// d : 

	// critical debug message
	public static void e(String tag, String msg)
	{
		Log.e(TAG + tag, msg);
	}
	// warning debug message
	public static void w(String tag, String msg)
	{
		Log.w(TAG + tag, msg);
	}

	// normal message
	public static void i(String tag, String msg)
	{
		Log.i(TAG + tag, msg);
	}
	// for some value print
	public static void d(String tag, String msg)
	{
		Log.d(TAG + tag, msg);
	}
	// for function tracing
    public static void v(String tag, String msg)
	{
    	Log.v(TAG + tag, msg);
	}
}
